# Update a summary journal entry This REST API reference describes how to update the basic information of a summary journal entry. Request and response field descriptions and sample code are provided. Endpoint: PUT /v1/journal-entries/{je-number}/basic-information Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `je-number` (string, required) Journal entry number in the format JE-00000001. ## Request fields (application/json): - `journalEntryItems` (array) Key name that represents the list of journal entry items. - `journalEntryItems.accountingCodeName` (string, required) Name of the accounting code. If the Journal Entry Item has a blank accounting code, enter the empty string. - `journalEntryItems.accountingCodeType` (string) Accounting code type. Note that On-Account Receivable is only available if you enable the Invoice Settlement feature. Enum: "AccountsReceivable", "On-Account Receivable", "Cash", "OtherAssets", "CustomerCashOnAccount", "DeferredRevenue", "SalesTaxPayable", "OtherLiabilities", "SalesRevenue", "SalesDiscounts", "OtherRevenue", "OtherEquity", "BadDebt", "OtherExpenses" - `journalEntryItems.type` (string, required) Type of journal entry item. Enum: "Credit", "Debit" - `notes` (string) Additional information about this record. Character limit: 2,000 - `transferredToAccounting` (string) Status shows whether the journal entry has been transferred to an accounting system. This field cannot be changed after the summary journal entry has been canceled. Note: The Zuora Finance Override Transferred to Accounting permission is required to change transferredToAccounting from Yes to any other value. Enum: "No", "Processing", "Yes", "Error", "Ignore" ## Response 200 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.